## inn2 2.7.3~20250201

=== backends/Makefile ===
include ../Makefile.global

top	      = ..
CFLAGS        = $(GCFLAGS)

ALL           = actmerge actsync actsyncd archive batcher buffchan \
		cvtbatch delayer innbind inndf innxmit innxbatch mod-active \
		news2mail ninpaths nntpget nntpsend overchan send-ihave \
		send-uucp sendinpaths sendxbatches shlock \
		shrinkfile

MAN	      = ../doc/man/delayer.1 ../doc/man/send-uucp.8

SOURCES       = actsync.c archive.c batcher.c buffchan.c cvtbatch.c \
		innbind.c inndf.c innxbatch.c innxmit.c \
		ninpaths.c nntpget.c overchan.c shlock.c shrinkfile.c

all: $(ALL) $(MAN)

warnings:
	$(MAKE) COPT="$(COPT) $(WARNINGS)" all

install: all
	for F in actmerge actsyncd delayer news2mail nntpsend send-ihave \
	         send-uucp sendinpaths sendxbatches ; do \
	    $(CP_XPUB) $$F $D$(PATHBIN)/$$F ; \
	done
	$(CP_XPRI) mod-active $D$(PATHBIN)/mod-active
	$(LI_XPRI) overchan $D$(PATHBIN)/overchan
	for F in actsync archive batcher buffchan cvtbatch inndf \
	         innxbatch innxmit ninpaths nntpget shlock shrinkfile ; do \
	    $(LI_XPUB) $$F $D$(PATHBIN)/$$F ; \
	done
	@ME=`$(WHOAMI)` ; \
	if [ x"$$ME" = xroot ] ; then \
	    echo $(LI_SPRI) innbind $D$(PATHBIN)/innbind ; \
	    $(LI_SPRI) innbind $D$(PATHBIN)/innbind ; \
	else \
	    echo $(LI_XPRI) innbind $D$(PATHBIN)/innbind ; \
	    $(LI_XPRI) innbind $D$(PATHBIN)/innbind ; \
	    echo '' ; \
	    echo '========================' ; \
	    echo 'NOTE NOTE NOTE NOTE NOTE' ; \
	    ls -l $D$(PATHBIN)/innbind ; \
	    echo '$D$(PATHBIN)/innbind needs to be installed setuid root' ; \
	    echo '' ; echo ; \
	fi

install-root:
	$(LI_SPRI) innbind $D$(PATHBIN)/innbind

bootstrap: $(MAN)

clean clobber distclean:
	rm -f *.o $(ALL)
	rm -rf .libs

maintclean: distclean
	rm -f $(MAN)

profiled:
	$(MAKEPROFILING) all

##  Compilation rules.

# $(LIBSTORAGE) must be listed twice to resolve circular dependencies
# when doing static linking.
BOTH		= $(LIBSTORAGE) $(LIBHIST) $(LIBSTORAGE) $(LIBINN)

LINK 		= $(LIBLD) $(LDFLAGS) -o $@
LINKDEPS	= $(LIBLDDEPS) $(LDFLAGS) -o $@
INNLIBS		= $(LIBINN) $(LIBS)
STORELIBS	= $(BOTH) $(STORAGE_LIBS) $(LIBS)

FIX		= $(SHELL) $(FIXSCRIPT)

$(FIXSCRIPT):
	@echo Run configure before running make.  See INSTALL for details.
	@exit 1

actsync:	actsync.o    $(LIBINN)	; $(LINK) actsync.o    $(INNLIBS)
archive:	archive.o    $(BOTH)	; $(LINKDEPS) archive.o  $(STORELIBS)
batcher:	batcher.o    $(BOTH)	; $(LINKDEPS) batcher.o  $(STORELIBS)
cvtbatch:	cvtbatch.o   $(BOTH)	; $(LINKDEPS) cvtbatch.o $(STORELIBS)
innbind:	innbind.o    $(LIBINN)	; $(LINK) innbind.o    $(INNLIBS)
inndf:		inndf.o      $(BOTH)	; $(LINKDEPS) inndf.o  $(STORELIBS)
innxbatch:	innxbatch.o  $(LIBINN)	; $(LINK) innxbatch.o  $(INNLIBS)
innxmit:	innxmit.o    $(BOTH)	; $(LINK) innxmit.o    $(STORELIBS)
ninpaths:	ninpaths.o		; $(LINK) ninpaths.o
nntpget:	nntpget.o    $(BOTH)	; $(LINK) nntpget.o    $(STORELIBS)
overchan:	overchan.o   $(BOTH)	; $(LINKDEPS) overchan.o $(STORELIBS)
shlock:		shlock.o     $(LIBINN)	; $(LINK) shlock.o     $(INNLIBS)
shrinkfile:	shrinkfile.o $(LIBINN)	; $(LINK) shrinkfile.o $(INNLIBS)

buffchan:	buffchan.o $(LIBINN)
	$(LINK) buffchan.o $(LIBINN) $(LIBS)

actmerge:	actmerge.in      $(FIXSCRIPT)	; $(FIX) actmerge.in
actsyncd:	actsyncd.in      $(FIXSCRIPT)	; $(FIX) actsyncd.in
delayer:	delayer.in       $(FIXSCRIPT)	; $(FIX) -i delayer.in
mod-active:	mod-active.in    $(FIXSCRIPT)	; $(FIX) mod-active.in
news2mail:	news2mail.in     $(FIXSCRIPT)	; $(FIX) news2mail.in
nntpsend:	nntpsend.in      $(FIXSCRIPT)	; $(FIX) nntpsend.in
send-ihave:	send-ihave.in    $(FIXSCRIPT)	; $(FIX) send-ihave.in
send-uucp:	send-uucp.in     $(FIXSCRIPT)	; $(FIX) send-uucp.in
sendinpaths:	sendinpaths.in   $(FIXSCRIPT)	; $(FIX) sendinpaths.in
sendxbatches:	sendxbatches.in  $(FIXSCRIPT)	; $(FIX) sendxbatches.in

$(LIBINN):	; (cd ../lib ; $(MAKE))
$(LIBSTORAGE):	; (cd ../storage ; $(MAKE) library)
$(LIBHIST):	; (cd ../history ; $(MAKE))

../doc/man/delayer.1: delayer.in
	$(POD2MAN) -s 1 -n "DELAYER" $? > $@

../doc/man/send-uucp.8: send-uucp.in
	$(POD2MAN) -s 8 -n "SEND-UUCP" $? > $@


##  Dependencies.  Default list, below, is probably good enough.

depend:	Makefile $(SOURCES)
	$(MAKEDEPEND) '$(CFLAGS)' $(SOURCES)

# DO NOT DELETE THIS LINE -- make depend depends on it.
actsync.o: actsync.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/inn/hashtab.h \
  ../include/inn/macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/innconf.h ../include/inn/libinn.h ../include/inn/concat.h \
  ../include/inn/xmalloc.h ../include/inn/system.h ../include/inn/xwrite.h \
  ../include/inn/messages.h ../include/inn/paths.h ../include/inn/qio.h
archive.o: archive.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/inn/buffer.h \
  ../include/inn/portable-stdbool.h ../include/inn/innconf.h \
  ../include/inn/macros.h ../include/inn/libinn.h ../include/inn/concat.h \
  ../include/inn/xmalloc.h ../include/inn/system.h ../include/inn/xwrite.h \
  ../include/inn/messages.h ../include/inn/paths.h ../include/inn/qio.h \
  ../include/inn/storage.h ../include/inn/options.h \
  ../include/inn/vector.h ../include/inn/wire.h
batcher.o: batcher.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/system.h ../include/inn/xwrite.h \
  ../include/inn/messages.h ../include/inn/paths.h \
  ../include/inn/storage.h ../include/inn/options.h ../include/inn/timer.h \
  ../include/inn/wire.h
buffchan.o: buffchan.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/system.h ../include/inn/xwrite.h \
  ../include/inn/messages.h ../include/inn/paths.h ../include/inn/qio.h
cvtbatch.o: cvtbatch.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/system.h ../include/inn/xwrite.h \
  ../include/inn/messages.h ../include/inn/paths.h ../include/inn/qio.h \
  ../include/inn/storage.h ../include/inn/options.h ../include/inn/wire.h
innbind.o: innbind.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/portable/socket.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/macros.h \
  ../include/inn/portable-stdbool.h ../include/inn/xmalloc.h \
  ../include/inn/system.h ../include/inn/xwrite.h \
  ../include/inn/messages.h ../include/inn/newsuser.h \
  ../include/inn/vector.h
inndf.o: inndf.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/system.h ../include/inn/xwrite.h \
  ../include/inn/messages.h ../include/inn/overview.h \
  ../include/inn/storage.h ../include/inn/options.h ../include/inn/paths.h \
  ../include/inn/qio.h
innxbatch.o: innxbatch.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/portable/socket.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/inn/innconf.h ../include/inn/macros.h \
  ../include/inn/portable-stdbool.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/system.h \
  ../include/inn/xwrite.h ../include/inn/messages.h ../include/inn/nntp.h \
  ../include/inn/timer.h
innxmit.o: innxmit.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/portable/socket.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/inn/history.h ../include/inn/macros.h \
  ../include/inn/portable-stdbool.h ../include/inn/innconf.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/system.h ../include/inn/xwrite.h \
  ../include/inn/messages.h ../include/inn/nntp.h ../include/inn/paths.h \
  ../include/inn/qio.h ../include/inn/storage.h ../include/inn/options.h \
  ../include/inn/timer.h ../include/inn/wire.h
ninpaths.o: ninpaths.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h
nntpget.o: nntpget.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/portable/socket.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/inn/history.h ../include/inn/macros.h \
  ../include/inn/portable-stdbool.h ../include/inn/innconf.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/system.h ../include/inn/xwrite.h \
  ../include/inn/messages.h ../include/inn/nntp.h ../include/inn/paths.h
overchan.o: overchan.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/system.h ../include/inn/xwrite.h \
  ../include/inn/messages.h ../include/inn/overview.h \
  ../include/inn/storage.h ../include/inn/options.h ../include/inn/paths.h \
  ../include/inn/qio.h
shlock.o: shlock.c ../include/portable/system.h ../include/config.h \

=== lib/Makefile ===
include ../Makefile.global

# This version number should be increased with every change to the library
# source following the rules laid out in the libtool manual.  This will also
# force the file name of the shared library to change so that one can
# recover from make update.  We can't use .OLD extensions for the shared
# library since ldconfig will think .OLD sorts after the regular library and
# will point the binaries at the old library.
LTVERSION     = 9:1:0

top	= ..
CFLAGS  = $(GCFLAGS)

# The base library files that are always compiled and included.
SOURCES       = argparse.c artnumber.c buffer.c cleanfrom.c clientactive.c \
	        clientlib.c                                                \
	        commands.c concat.c conffile.c confparse.c                 \
	      	date.c dbz.c defdist.c dispatch.c fdflag.c fdlimit.c	   \
	      	getfqdn.c getmodaddr.c hash.c hashtab.c headers.c hex.c	   \
		innconf.c inndcomm.c list.c localopen.c lockfile.c         \
	      	makedir.c md5.c messageid.c messages.c mmap.c network.c	   \
	        network-innbind.c newsuser.c nntp.c qio.c                  \
		radix32.c readin.c					   \
		remopen.c reservedfd.c resource.c secrets.c sendarticle.c  \
	        sendpass.c						   \
	      	sequence.c timer.c tst.c uwildmat.c vector.c wire.c	   \
	      	xfopena.c xmalloc.c xsignal.c xwrite.c

# Sources for additional functions only built to replace missing system ones.
EXTRA_SOURCES = asprintf.c daemon.c fseeko.c ftello.c getaddrinfo.c        \
		getnameinfo.c getpagesize.c inet_aton.c inet_ntoa.c	   \
		inet_ntop.c mkstemp.c pread.c pwrite.c                     \
	        reallocarray.c sd-daemon.c setenv.c                        \
		seteuid.c setproctitle.c snprintf.c strcasecmp.c strlcat.c \
		strlcpy.c strspn.c strtok.c symlink.c

OBJECTS       = $(LIBOBJS) $(SOURCES:.c=.o)
LOBJECTS      = $(OBJECTS:.o=.lo)

.SUFFIXES: .lo

all: libinn.$(EXTLIB) canlock.o perl.o

warnings:
	$(MAKE) COPT="$(COPT) $(WARNINGS)" all

install: all
	$(LI_LPUB) libinn.$(EXTLIB) $D$(PATHLIB)/libinn.$(EXTLIB)

bootstrap:

clean clobber distclean maintclean:
	rm -f *.o *.lo libinn.la libinn.a
	rm -f profiled perl$(PROFSUFFIX).o libinn$(PROFSUFFIX).a
	rm -f libinn_pure_*.a .pure
	rm -rf .libs

libinn.la: $(OBJECTS) $(LOBJECTS)
	$(LIBLD) $(LDFLAGS) -o $@ $(LOBJECTS) $(LIBS) \
	    -rpath $(PATHLIB) -version-info $(LTVERSION)

libinn.a: $(OBJECTS)
	ar r $@ $(OBJECTS)
	$(RANLIB) libinn.a

.c.o .c.lo:
	$(LIBCC) $(CFLAGS) -c $*.c

canlock.o: canlock.c
	$(CC) $(CFLAGS) $(CANLOCK_CPPFLAGS) -c canlock.c

perl.o: perl.c
	$(CC) $(CFLAGS) $(PERL_CPPFLAGS) -c perl.c

../include/inn/system.h:
	(cd ../include && $(MAKE))

##  Profiling.  The rules are a bit brute-force, but good enough.
profiled: libinn$(PROFSUFFIX).a perl$(PROFSUFFIX).o
	date >$@

libinn$(PROFSUFFIX).a perl$(PROFSUFFIX).o: $(OBJECTS) perl.o
	rm -f $(OBJECTS)
	$(MAKEPROFILING) libinn.a
	$(MAKEPROFILING) perl.o
	mv libinn.a libinn$(PROFSUFFIX).a
	mv perl.o perl$(PROFSUFFIX).o
	$(RANLIB) libinn$(PROFSUFFIX).a
	rm -f $(OBJECTS)

##  Dependencies.  Default list, below, is probably good enough.

depend: Makefile $(SOURCES) $(EXTRA_SOURCES) canlock.c perl.c \
	    ../include/inn/system.h
	$(MAKEDEPEND) '$(CFLAGS) $(CANLOCK_CPPFLAGS) $(PERL_CPPFLAGS)' \
	    $(SOURCES) $(EXTRA_SOURCES) canlock.c perl.c

# DO NOT DELETE THIS LINE -- make depend depends on it.
argparse.o: argparse.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/system.h ../include/inn/xwrite.h
artnumber.o: artnumber.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/macros.h \
  ../include/inn/portable-stdbool.h ../include/inn/xmalloc.h \
  ../include/inn/system.h ../include/inn/xwrite.h
buffer.o: buffer.c ../include/config.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/options.h \
  ../include/inn/system.h ../include/portable/stdbool.h \
  ../include/portable/system.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/inn/buffer.h \
  ../include/inn/portable-stdbool.h ../include/inn/xmalloc.h \
  ../include/inn/system.h
cleanfrom.o: cleanfrom.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/macros.h \
  ../include/inn/portable-stdbool.h ../include/inn/xmalloc.h \
  ../include/inn/system.h ../include/inn/xwrite.h
clientactive.o: clientactive.c ../include/portable/system.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/options.h \
  ../include/inn/system.h ../include/portable/stdbool.h \
  ../include/portable/macros.h ../include/portable/stdbool.h \
  ../include/inn/innconf.h ../include/inn/macros.h \
  ../include/inn/portable-stdbool.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/system.h \
  ../include/inn/xwrite.h ../include/inn/nntp.h ../include/inn/paths.h
clientlib.o: clientlib.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/system.h ../include/inn/xwrite.h ../include/inn/nntp.h
commands.o: commands.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/macros.h \
  ../include/inn/portable-stdbool.h ../include/inn/xmalloc.h \
  ../include/inn/system.h ../include/inn/xwrite.h
concat.o: concat.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/inn/concat.h \
  ../include/inn/macros.h ../include/inn/messages.h \
  ../include/inn/xmalloc.h ../include/inn/system.h
conffile.o: conffile.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/conffile.h \
  ../include/portable/macros.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/macros.h \
  ../include/inn/portable-stdbool.h ../include/inn/xmalloc.h \
  ../include/inn/system.h ../include/inn/xwrite.h
confparse.o: confparse.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/inn/confparse.h \
  ../include/inn/macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/hashtab.h ../include/inn/libinn.h ../include/inn/concat.h \
  ../include/inn/xmalloc.h ../include/inn/system.h ../include/inn/xwrite.h \
  ../include/inn/messages.h ../include/inn/vector.h
date.o: date.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/macros.h \
  ../include/inn/portable-stdbool.h ../include/inn/xmalloc.h \
  ../include/inn/system.h ../include/inn/xwrite.h
dbz.o: dbz.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/portable/mmap.h \
  ../include/inn/dbz.h ../include/inn/libinn.h ../include/inn/concat.h \
  ../include/inn/macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/xmalloc.h ../include/inn/system.h ../include/inn/xwrite.h \
  ../include/inn/fdflag.h ../include/inn/portable-socket.h \
  ../include/inn/portable-getaddrinfo.h \
  ../include/inn/portable-getnameinfo.h ../include/inn/innconf.h \
  ../include/inn/messages.h ../include/inn/mmap.h
defdist.o: defdist.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/system.h ../include/inn/xwrite.h ../include/inn/paths.h
dispatch.o: dispatch.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/inn/dispatch.h \
  ../include/inn/vector.h
fdflag.o: fdflag.c ../include/config.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/options.h \
  ../include/inn/system.h ../include/portable/stdbool.h \
  ../include/portable/system.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/inn/fdflag.h \
  ../include/inn/portable-socket.h ../include/inn/system.h \
  ../include/inn/portable-getaddrinfo.h \
  ../include/inn/portable-getnameinfo.h ../include/inn/portable-stdbool.h \
  ../include/inn/macros.h
fdlimit.o: fdlimit.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/macros.h \
  ../include/inn/portable-stdbool.h ../include/inn/xmalloc.h \
  ../include/inn/system.h ../include/inn/xwrite.h
getfqdn.o: getfqdn.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/portable/socket.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/macros.h \
  ../include/inn/portable-stdbool.h ../include/inn/xmalloc.h \
  ../include/inn/system.h ../include/inn/xwrite.h ../include/inn/paths.h
getmodaddr.o: getmodaddr.c ../include/portable/system.h \

=== site/Makefile ===
include ../Makefile.global
top = ..

##  If you want to do ctlinnd pause/reload/go, uncomment these lines.
#PAUSE		= pause
#RELOAD_AND_GO	= reload go
DIFF="diff"

# Added a default rule for ".csh" because Digital UNIX has a builtin
# rule which would overwrite the innshellvars file.
.csh:

CTLINND			= ${PATHBIN}/ctlinnd
FILTBIN			= ${PATHFILTER}
PATH_PERL_STARTUP_INND	= ${PATHFILTER}/startup_innd.pl
PATH_PERL_FILTER_INND	= ${PATHFILTER}/filter_innd.pl
PATH_PERL_FILTER_NNRPD	= ${PATHFILTER}/filter_nnrpd.pl
PATH_PYTHON_FILTER_INND = ${PATHFILTER}/filter_innd.py
PATH_PYTHON_INN_MODULE  = ${PATHFILTER}/INN.py
PATH_PYTHON_NNRPD_MODULE= ${PATHFILTER}/nnrpd.py
PATH_NNRPAUTH           = ${PATHFILTER}/nnrpd_auth.pl
PATH_NNRPYAUTH          = ${PATHFILTER}/nnrpd_auth.py
PATH_NNRPACCESS         = ${PATHFILTER}/nnrpd_access.pl
PATH_NNRPYACCESS        = ${PATHFILTER}/nnrpd_access.py
PATH_NNRPYDYNAMIC       = ${PATHFILTER}/nnrpd_dynamic.py

PATH_CONFIG		= ${PATHETC}/inn.conf
PATH_CONTROLCTL		= ${PATHETC}/control.ctl
PATH_CONTROLCTLLOCAL	= ${PATHETC}/control.ctl.local
PATH_EXPIRECTL		= ${PATHETC}/expire.ctl
PATH_INNDHOSTS		= ${PATHETC}/incoming.conf
PATH_MODERATORS		= ${PATHETC}/moderators
PATH_DISTPATS		= ${PATHETC}/distrib.pats
PATH_DISTRIBUTIONS	= ${PATHETC}/distributions
PATH_NEWSFEEDS		= ${PATHETC}/newsfeeds
PATH_READERSCONF	= ${PATHETC}/readers.conf
PATH_NNRPDTRACK		= ${PATHETC}/nnrpd.track
PATH_NNTPPASS		= ${PATHETC}/passwd.nntp
PATH_CTLWATCH		= ${PATHETC}/innwatch.ctl
PATH_ACTSYNC_IGN	= ${PATHETC}/actsync.ign
PATH_ACTSYNC_CFG	= ${PATHETC}/actsync.cfg
PATH_MOTD_INND		= ${PATHETC}/motd.innd.sample
PATH_MOTD_NNRPD		= ${PATHETC}/motd.nnrpd.sample
PATH_STORAGECONF	= ${PATHETC}/storage.conf
PATH_CYCBUFFCONFIG	= ${PATHETC}/cycbuff.conf
PATH_INNFEEDCTL		= ${PATHETC}/innfeed.conf
PATH_BUFFINDEXED	= ${PATHETC}/buffindexed.conf
PATH_RADIUS_CONF	= ${PATHETC}/inn-radius.conf
PATH_OVDB_CONF		= ${PATHETC}/ovdb.conf
PATH_OVSQLITE_CONF	= ${PATHETC}/ovsqlite.conf
PATH_SENDUUCP_CF	= ${PATHETC}/send-uucp.cf
PATH_SUBSCRIPTIONS	= ${PATHETC}/subscriptions
PATH_INNSECRETSCONF	= ${PATHETC}/inn-secrets.conf

PATH_ACTIVE		= ${PATHDB}/active
PATH_ACTIVE_TIMES	= ${PATHDB}/active.times
PATH_HISTORY		= ${PATHDB}/history
PATH_NEWSGROUPS		= ${PATHDB}/newsgroups

##  Scripts from above, plus site-specific config files.
REST		= \
	newsfeeds incoming.conf nnrpd.track passwd.nntp \
	inn.conf moderators innreport.conf innreport.css localgroups \
	control.ctl control.ctl.local expire.ctl nntpsend.ctl \
	innwatch.ctl distrib.pats distributions actsync.cfg actsync.ign \
	motd.innd motd.nnrpd storage.conf cycbuff.conf buffindexed.conf \
	innfeed.conf startup_innd.pl filter_innd.pl filter_nnrpd.pl \
	filter_innd.py INN.py \
	innshellvars.local innshellvars.pl.local innshellvars.tcl.local \
	nnrpd.py \
	nnrpd_auth.pl nnrpd_access.pl nocem.ctl \
        news2mail.cf readers.conf \
	inn-radius.conf nnrpd_auth.py nnrpd_access.py nnrpd_dynamic.py \
	ovdb.conf ovsqlite.conf active.minimal \
	newsgroups.minimal send-uucp.cf subscriptions inn-secrets.conf

ALL		= $(REST)

REST_INSTALLED	= \
	$D$(PATH_NEWSFEEDS) $D$(PATH_INNDHOSTS) \
	$D$(PATH_NNRPDTRACK) $D$(PATH_NNTPPASS) \
	$D$(PATH_CONFIG) $D$(PATH_MODERATORS) \
	$D$(PATH_CONTROLCTL) $D$(PATH_CONTROLCTLLOCAL) $D$(PATH_EXPIRECTL) \
	$D$(PATHETC)/nntpsend.ctl \
	$D$(PATHETC)/innreport.conf $D$(PATHHTTP)/innreport.css \
	$D$(PATHETC)/localgroups \
	$D$(PATH_CTLWATCH) $D$(PATH_DISTPATS) $D$(PATH_DISTRIBUTIONS) \
	$D$(PATH_ACTSYNC_CFG) $D$(PATH_ACTSYNC_IGN) \
	$D$(PATH_MOTD_INND) $D$(PATH_MOTD_NNRPD) $D$(PATH_STORAGECONF) \
	$D$(PATH_CYCBUFFCONFIG) $D$(PATH_BUFFINDEXED) \
	$D$(PATH_INNFEEDCTL) $D$(PATH_PERL_STARTUP_INND) \
	$D$(PATH_PERL_FILTER_INND) $D$(PATH_PERL_FILTER_NNRPD) \
	$D$(PATH_PYTHON_FILTER_INND) $D$(PATH_PYTHON_INN_MODULE) \
	$D$(PATH_PYTHON_NNRPD_MODULE) \
	$D$(PATH_TCL_STARTUP) $D$(PATH_TCL_FILTER) \
	$D$(PATHETC)/innshellvars.local $D$(PATHETC)/innshellvars.pl.local \
	$D$(PATHETC)/innshellvars.tcl.local \
	$D$(PATHETC)/nocem.ctl \
	$D$(PATH_NNRPAUTH) $D$(PATHETC)/news2mail.cf $D$(PATH_READERSCONF) \
	$D$(PATH_RADIUS_CONF) $D$(PATH_NNRPYAUTH) $D$(PATH_NNRPYACCESS) \
	$D$(PATH_NNRPYDYNAMIC) $D$(PATH_OVDB_CONF) $D$(PATH_OVSQLITE_CONF) \
	$D$(PATH_SENDUUCP_CF) $D$(PATH_SUBSCRIPTIONS) $D$(PATH_NNRPACCESS) \
	$D$(PATH_INNSECRETSCONF)

ALL_INSTALLED	= $(REST_INSTALLED)

SPECIAL		= $D$(PATH_ACTIVE) $D$(PATH_ACTIVE_TIMES) \
		$D$(PATH_NEWSGROUPS) $D$(PATH_HISTORY)

##  Get new versions of everything from samples directory.
all:		$(ALL) config

##  Show changes between files here and ones in samples.
diff:
	@$(MAKE) COPY=-${DIFF} all

##  Show changes between files here and installed versions.
diff-installed:
	@$(MAKE) COPY_RPRI=-${DIFF} COPY_RPUB=-${DIFF} COPY_XPRI=-${DIFF} COPY_XPUB=-${DIFF} COPY_WXPUB=-${DIFF} $(ALL_INSTALLED)

##  Show what would be copied from samples directory.
what:
	@$(MAKE) -s 'COPY=@echo' $(ALL) | ${AWK} 'NF==2 { print $$2; }'

config:		$(ALL)
	date >config

##  Don't use parallel rules -- we want this to be viewed carefully.
install:	all $(PAUSE) install-config $(RELOAD_AND_GO)
reload-install:	all pause    install-config reload go
install-config:		update $(REST_INSTALLED) $(SPECIAL)

##  Install scripts, not per-host config files.
update:		all
	@echo '' ; echo 'inn.conf in site directory may have newly added parameters'
	@echo 'which installed inn.conf does not have.  Check those parameters'
	@echo 'before you run innd.' ; echo ''
	date >update

##  Special rules for files that should never be overwritten if they are
##  already installed.  These are used only for the initial install of a
##  brand new server.
$D$(PATH_ACTIVE): 	; $(CP_DATA) active.minimal $@
$D$(PATH_NEWSGROUPS):	; $(CP_DATA) newsgroups.minimal $@
$D$(PATH_ACTIVE_TIMES):
	touch $@
	@ME=`$(WHOAMI)` ; \
	if [ x"$$ME" = xroot ] ; then \
	    chown $(RUNASUSER) $@ ; \
	    chgrp $(RUNASGROUP) $@ ; \
	fi
	chmod $(FILEMODE) $@
$D$(PATH_HISTORY):
	touch $@
	@ME=`$(WHOAMI)` ; \
	if [ x"$$ME" = xroot ] ; then \
	    chown $(RUNASUSER) $@ ; \
	    chgrp $(RUNASGROUP) $@ ; \
	fi
	chmod $(FILEMODE) $@
	@ME=`$(WHOAMI)` ; \
	if [ -z "$D" ] ; then \
	    if [ x"$$ME" = xroot ] || [ x"$$ME" = x"$(RUNASUSER)" ] ; then \
	        $(PATHBIN)/makedbz -i -o ; \
	    fi ; \
	fi

bootstrap:

##  Remove files that are unchanged from the release version.
clean:
	@-for I in $(ALL) ; do \
	    cmp -s $$I ../samples/$$I && echo rm -f $$I && rm -f $$I ; \
	done

clobber distclean maintclean:
	rm -f $(ALL) profiled config update

profiled:
	cp /dev/null profiled

depend:

##  Commands to make private or public, read or executable files.
COPY_RPRI	= $(CP_RPRI)
COPY_RPUB	= $(CP_RPUB)
COPY_XPRI	= $(CP_XPRI)
COPY_XPUB	= $(CP_XPUB)
COPY_WXPUB	= $(CP_WXPUB)

##  Files to copy.
$D$(PATH_INNDHOSTS):	incoming.conf	; $(COPY_RPRI) $? $@
$D$(PATH_NEWSFEEDS):	newsfeeds	; $(COPY_RPUB) $? $@
$D$(PATH_READERSCONF):	readers.conf	; $(COPY_RPUB) $? $@
$D$(PATH_RADIUS_CONF):	inn-radius.conf	; $(COPY_RPRI) $? $@
$D$(PATH_NNRPDTRACK):	nnrpd.track	; $(COPY_RPUB) $? $@
$D$(PATH_CONTROLCTL):	control.ctl	; $(COPY_RPUB) $? $@
$D$(PATH_CONTROLCTLLOCAL): control.ctl.local	; $(COPY_RPUB) $? $@
$D$(PATH_CTLWATCH):	innwatch.ctl	; $(COPY_RPUB) $? $@
$D$(PATH_EXPIRECTL):	expire.ctl	; $(COPY_RPUB) $? $@
$D$(PATH_CONFIG):	inn.conf	; $(COPY_RPUB) $? $@
$D$(PATH_MODERATORS):	moderators	; $(COPY_RPUB) $? $@
$D$(PATH_DISTPATS):	distrib.pats	; $(COPY_RPUB) $? $@
$D$(PATH_DISTRIBUTIONS): distributions  ; $(COPY_RPUB) $? $@
$D$(PATH_NNTPPASS):	passwd.nntp	; $(COPY_RPRI) $? $@
$D$(PATHETC)/nntpsend.ctl: nntpsend.ctl	; $(COPY_RPUB) $? $@
$D$(PATHETC)/news2mail.cf: news2mail.cf	; $(COPY_RPUB) $? $@
$D$(PATHETC)/innreport.conf: innreport.conf	; $(COPY_RPUB) $? $@
$D$(PATHHTTP)/innreport.css: innreport.css	; $(COPY_RPUB) $? $@
$D$(PATHETC)/innshellvars.local: innshellvars.local	; $(COPY_WXPUB) $? $@
$D$(PATHETC)/innshellvars.pl.local: innshellvars.pl.local	; $(COPY_WXPUB) $? $@
$D$(PATHETC)/innshellvars.tcl.local: innshellvars.tcl.local	; $(COPY_WXPUB) $? $@
$D$(PATHETC)/localgroups: localgroups	; $(COPY_RPUB) $? $@
$D$(PATH_STORAGECONF): storage.conf	; $(COPY_RPUB) $? $@
$D$(PATH_CYCBUFFCONFIG): cycbuff.conf	; $(COPY_RPUB) $? $@
$D$(PATH_BUFFINDEXED): buffindexed.conf	; $(COPY_RPUB) $? $@
$D$(PATH_OVDB_CONF): ovdb.conf		; $(COPY_RPUB) $? $@
$D$(PATH_OVSQLITE_CONF): ovsqlite.conf	; $(COPY_RPUB) $? $@
$D$(PATH_PERL_STARTUP_INND): startup_innd.pl ; $(COPY_RPUB) $? $@
$D$(PATH_PERL_FILTER_INND): filter_innd.pl ; $(COPY_RPUB) $? $@
$D$(PATH_PERL_FILTER_NNRPD): filter_nnrpd.pl ; $(COPY_RPUB) $? $@
$D$(PATH_PYTHON_FILTER_INND): filter_innd.py ; $(COPY_RPUB) $? $@
$D$(PATH_PYTHON_INN_MODULE): INN.py ;	$(COPY_RPUB) $? $@
$D$(PATH_PYTHON_NNRPD_MODULE): nnrpd.py ;   $(COPY_RPUB) $? $@
$D$(PATH_NNRPAUTH): nnrpd_auth.pl       ; $(COPY_RPUB) $? $@
$D$(PATH_NNRPACCESS): nnrpd_access.pl   ; $(COPY_RPUB) $? $@
$D$(PATH_NNRPYAUTH): nnrpd_auth.py      ; $(COPY_RPUB) $? $@
$D$(PATH_NNRPYACCESS): nnrpd_access.py  ; $(COPY_RPUB) $? $@
$D$(PATH_NNRPYDYNAMIC): nnrpd_dynamic.py     ; $(COPY_RPUB) $? $@
$D$(PATHETC)/nocem.ctl: nocem.ctl       ; $(COPY_RPUB) $? $@
$D$(PATH_ACTSYNC_CFG): actsync.cfg	; $(COPY_RPUB) $? $@
$D$(PATH_ACTSYNC_IGN): actsync.ign	; $(COPY_RPUB) $? $@
$D$(PATH_MOTD_INND): motd.innd		; $(COPY_RPUB) $? $@
$D$(PATH_MOTD_NNRPD): motd.nnrpd	; $(COPY_RPUB) $? $@
$D$(PATH_INNFEEDCTL): innfeed.conf	; $(COPY_RPRI) $? $@
$D$(PATH_SENDUUCP_CF): send-uucp.cf	; $(COPY_RPUB) $? $@
$D$(PATH_SUBSCRIPTIONS): subscriptions	; $(COPY_RPUB) $? $@
$D$(PATH_INNSECRETSCONF): inn-secrets.conf   ; $(COPY_RPRI) $? $@

REASON	= 'Installing site config files from site/Makefile'
go pause:
	-${CTLINND} $@ $(REASON)
reload:
	-${CTLINND} reload all $(REASON)

##  Use this to just replace any changed files you might have made.  Only
##  do this after you've examined the output of "make -n"!
replace:
	$(MAKE) COPY=cp all

##  Get files from the samples directory.
COPY	= $(SHELL) ./getsafe.sh
actsync.cfg:	../samples/actsync.cfg		; $(COPY) $? $@
actsync.ign:	../samples/actsync.ign		; $(COPY) $? $@
control.ctl:	../samples/control.ctl		; $(COPY) $? $@
control.ctl.local: ../samples/control.ctl.local	; $(COPY) $? $@
expire.ctl:	../samples/expire.ctl		; $(COPY) $? $@
nnrpd_auth.pl:  ../samples/nnrpd_auth.pl	; $(COPY) $? $@
nnrpd_access.pl:  ../samples/nnrpd_access.pl	; $(COPY) $? $@
nnrpd_auth.py:  ../samples/nnrpd_auth.py	; $(COPY) $? $@
nnrpd_access.py: ../samples/nnrpd_access.py     ; $(COPY) $? $@
nnrpd_dynamic.py: ../samples/nnrpd_dynamic.py   ; $(COPY) $? $@
filter_innd.pl:	../samples/filter_innd.pl	; $(COPY) $? $@
filter_nnrpd.pl: ../samples/filter_nnrpd.pl	; $(COPY) $? $@
filter_innd.py:	../samples/filter_innd.py	; $(COPY) $? $@
INN.py:		../samples/INN.py		; $(COPY) $? $@
nnrpd.py:       ../samples/nnrpd.py             ; $(COPY) $? $@
incoming.conf:	../samples/incoming.conf	; $(COPY) $? $@
inn.conf:	../samples/inn.conf		; $(COPY) $? $@
innreport.conf:	../samples/innreport.conf	; $(COPY) $? $@
innreport.css:	../samples/innreport.css	; $(COPY) $? $@
innshellvars.local: ../samples/innshellvars.local	; $(COPY) $? $@
innshellvars.pl.local: ../samples/innshellvars.pl.local	; $(COPY) $? $@
innshellvars.tcl.local: ../samples/innshellvars.tcl.local	; $(COPY) $? $@
localgroups:	../samples/localgroups		; $(COPY) $? $@
storage.conf:	../samples/storage.conf		; $(COPY) $? $@
cycbuff.conf:	../samples/cycbuff.conf		; $(COPY) $? $@
buffindexed.conf: ../samples/buffindexed.conf	; $(COPY) $? $@
ovdb.conf:	../samples/ovdb.conf		; $(COPY) $? $@
ovsqlite.conf:	../samples/ovsqlite.conf	; $(COPY) $? $@
innwatch.ctl:	../samples/innwatch.ctl		; $(COPY) $? $@
innfeed.conf:	../samples/innfeed.conf		; $(COPY) $? $@
moderators:	../samples/moderators		; $(COPY) $? $@
distrib.pats:	../samples/distrib.pats		; $(COPY) $? $@
distributions:	../samples/distributions	; $(COPY) $? $@
motd.innd:	../samples/motd.innd		; $(COPY) $? $@
motd.nnrpd:	../samples/motd.nnrpd		; $(COPY) $? $@

=== storage/Makefile ===
include ../Makefile.global

# This version number should be increased with every change to the library
# source following the rules laid out in the libtool manual.  This will also
# force the file name of the shared library to change so that one can
# recover from make update.  We can't use .OLD extensions for the shared
# library since ldconfig will think .OLD sorts after the regular library and
# will point the binaries at the old library.
LTVERSION     = 4:2:1

top	      = ..
CFLAGS	      = $(GCFLAGS) -I. $(BDB_CPPFLAGS) $(SQLITE3_CPPFLAGS)

SOURCES	      = expire.c interface.c methods.c ov.c overdata.c overview.c \
		ovmethods.c $(METHOD_SOURCES)
OBJECTS	      = $(SOURCES:.c=.o)
LOBJECTS      = $(OBJECTS:.o=.lo)

.SUFFIXES: .lo

all: library programs

$(FIXSCRIPT):
	@echo Run configure before running make.  See INSTALL for details.
	@exit 1

FIX	= $(SHELL) $(FIXSCRIPT)

# Included here after the FIX definition and all target, since additional rules
# are defined in Make.methods.  Be sure that we recurse properly to build the
# methods.
include Make.methods

warnings:
	$(MAKE) COPT="$(COPT) $(WARNINGS)" all

install: all
	$(LI_LPUB) libinnstorage.$(EXTLIB) $D$(PATHLIB)/libinnstorage.$(EXTLIB)
	for F in $(PROGRAMS) ; do \
	    $(LI_XPRI) $$F $D$(PATHBIN)/`basename $$F` ; \
	done

bootstrap: Make.methods

library: libinnstorage.$(EXTLIB)

programs: $(PROGRAMS)

clean:
	rm -f *.o *.lo */*.o */*.lo libinnstorage.la libinnstorage.a
	rm -f $(PROGRAMS) libinnstorage_pure_*.a .pure
	rm -f buildconfig libinnstorage$(PROFSUFFIX).a
	rm -rf .libs */.libs
	rm -f $(RM_CLEAN)

clobber distclean: clean
	rm -f $(RM_DISTCLEAN)

maintclean: distclean
	rm -f Make.methods methods.c methods.h ovmethods.c ovmethods.h
	rm -f $(RM_MAINTCLEAN)

libinnstorage.la: $(OBJECTS) $(LOBJECTS) $(LIBINN)
	$(LIBLD) $(LDFLAGS) -o $@ $(LOBJECTS) \
	    $(LIBINN) $(STORAGE_LIBS) $(LIBS) \
	    -rpath $(PATHLIB) -version-info $(LTVERSION)

libinnstorage.a: $(OBJECTS)
	ar r $@ $(OBJECTS)
	$(RANLIB) libinnstorage.a

# Make.methods is included in the distribution tarball since some non-GNU
# makes can't deal with including a non-existent file, so don't depend on
# it.  The dependencies aren't entirely accurate; you really want to re-run
# buildconfig each time a new subdirectory is added to the directory.  But
# adding a dependency on . is a bit too non-portable for my taste and causes
# too many rebuilds.
Make.methods methods.h ovmethods.c ovmethods.h methods.c: buildconfig
	./buildconfig

buildconfig: buildconfig.in $(FIXSCRIPT)
	$(FIX) -i buildconfig.in

.c.o .c.lo:
	$(LIBCC) $(CFLAGS) $(CCOUTPUT)

ovtest:	ov.c libinnstorage.$(EXTLIB) $(LIBINN)
	$(CC) $(CFLAGS) -D_TEST_ -o ovtest ov.c \
	    libinnstorage.$(EXTLIB) $(LIBINN) $(STORAGE_LIBS) $(LIBS)

$(LIBINN):      ; (cd ../lib ; $(MAKE))
$(LIBHIST):	; (cd ../history ; $(MAKE))


##  Profiling.  The rules are a bit brute-force, but good enough.

profiled: libinnstorage$(PROFSUFFIX).a

libinnstorage$(PROFSUFFIX).a: $(SOURCES)
	rm -f $(OBJECTS)
	$(MAKEPROFILING) libinnstorage.a
	mv libinnstorage.a libinnstorage$(PROFSUFFIX).a
	$(RANLIB) libinnstorage$(PROFSUFFIX).a
	rm -f $(OBJECTS)


# TODO bodge in missing dependency.  This isn't a full solution
# but it works for now.
#
# See https://github.com/InterNetNews/inn/issues/206
ovsqlite/ovsqlite-server.lo: ovsqlite/sql-init.h

##  Dependencies.  Default list, below, is probably good enough.

depend:	Makefile $(SOURCES) $(EXTRA_SOURCES)
	$(MAKEDEPEND) '$(CFLAGS)' $(SOURCES) $(EXTRA_SOURCES)

# DO NOT DELETE THIS LINE -- make depend depends on it.
expire.o: expire.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/system.h ../include/inn/xwrite.h ../include/inn/ov.h \
  ../include/inn/history.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/overview.h \
  ../include/inn/paths.h ../include/inn/vector.h ovinterface.h
interface.o: interface.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/conffile.h \
  ../include/portable/macros.h ../include/inn/innconf.h \
  ../include/inn/macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/system.h ../include/inn/xwrite.h \
  ../include/inn/messages.h ../include/inn/paths.h ../include/inn/wire.h \
  interface.h ../include/inn/storage.h ../include/inn/options.h methods.h
methods.o: methods.c interface.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/inn/storage.h \
  ../include/inn/macros.h ../include/inn/options.h \
  ../include/inn/portable-stdbool.h methods.h cnfs/cnfs.h \
  timecaf/timecaf.h interface.h timehash/timehash.h tradspool/tradspool.h \
  trash/trash.h
ov.o: ov.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/system.h ../include/inn/xwrite.h \
  ../include/inn/messages.h ../include/inn/ov.h ../include/inn/history.h \
  ../include/inn/storage.h ../include/inn/options.h \
  ../include/inn/vector.h ../include/inn/wire.h ovinterface.h ovmethods.h
overdata.o: overdata.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/inn/buffer.h \
  ../include/inn/portable-stdbool.h ../include/inn/innconf.h \
  ../include/inn/macros.h ../include/inn/libinn.h ../include/inn/concat.h \
  ../include/inn/xmalloc.h ../include/inn/system.h ../include/inn/xwrite.h \
  ../include/inn/messages.h ../include/inn/overview.h \
  ../include/inn/storage.h ../include/inn/options.h \
  ../include/inn/vector.h ../include/inn/wire.h ovinterface.h \
  ../include/inn/history.h ../include/inn/ov.h
overview.o: overview.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/inn/buffer.h \
  ../include/inn/portable-stdbool.h ../include/inn/innconf.h \
  ../include/inn/macros.h ../include/inn/libinn.h ../include/inn/concat.h \
  ../include/inn/xmalloc.h ../include/inn/system.h ../include/inn/xwrite.h \
  ../include/inn/messages.h ../include/inn/ov.h ../include/inn/history.h \
  ../include/inn/storage.h ../include/inn/options.h \
  ../include/inn/overview.h ../include/inn/vector.h ../include/inn/wire.h \
  ovinterface.h ovmethods.h
ovmethods.o: ovmethods.c ovinterface.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/inn/history.h \
  ../include/inn/macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/ov.h ../include/inn/storage.h ../include/inn/options.h \
  ovmethods.h buffindexed/buffindexed.h ovdb/ovdb.h ovsqlite/ovsqlite.h \
  tradindexed/tradindexed.h
buffindexed/buffindexed.o: buffindexed/buffindexed.c ../include/portable/system.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/options.h \
  ../include/inn/system.h ../include/portable/stdbool.h \
  ../include/portable/macros.h ../include/portable/stdbool.h \
  ../include/portable/mmap.h ../include/inn/fdflag.h \
  ../include/inn/portable-socket.h ../include/inn/system.h \
  ../include/inn/portable-getaddrinfo.h \
  ../include/inn/portable-getnameinfo.h ../include/inn/portable-stdbool.h \
  ../include/inn/innconf.h ../include/inn/macros.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  ../include/inn/messages.h ../include/inn/ov.h ../include/inn/history.h \
  ../include/inn/storage.h ../include/inn/options.h ../include/inn/paths.h \
  ovinterface.h buffindexed/shmem.h buffindexed/buffindexed.h
buffindexed/shmem.o: buffindexed/shmem.c ../include/portable/system.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/options.h \
  ../include/inn/system.h ../include/portable/stdbool.h \
  ../include/portable/macros.h ../include/portable/stdbool.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/macros.h \
  ../include/inn/portable-stdbool.h ../include/inn/xmalloc.h \
  ../include/inn/system.h ../include/inn/xwrite.h \
  ../include/inn/messages.h buffindexed/shmem.h
cnfs/cnfs.o: cnfs/cnfs.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/portable/mmap.h \
  ../include/inn/fdflag.h ../include/inn/portable-socket.h \
  ../include/inn/system.h ../include/inn/portable-getaddrinfo.h \
  ../include/inn/portable-getnameinfo.h ../include/inn/portable-stdbool.h \
  ../include/inn/innconf.h ../include/inn/macros.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  ../include/inn/messages.h ../include/inn/mmap.h ../include/inn/paths.h \
  ../include/inn/wire.h interface.h ../include/inn/storage.h \
  ../include/inn/options.h methods.h interface.h cnfs/cnfs-private.h \
  cnfs/cnfs.h
ovdb/ovdb.o: ovdb/ovdb.c ../include/portable/system.h ../include/config.h \
  ../include/inn/macros.h ../include/inn/portable-macros.h \
  ../include/inn/options.h ../include/inn/system.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/portable/stdbool.h ../include/portable/socket.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/conffile.h ../include/portable/macros.h \
  ../include/inn/fdflag.h ../include/inn/portable-socket.h \
  ../include/inn/portable-stdbool.h ../include/inn/innconf.h \
  ../include/inn/macros.h ../include/inn/libinn.h ../include/inn/concat.h \
  ../include/inn/xmalloc.h ../include/inn/system.h ../include/inn/xwrite.h \
  ../include/inn/messages.h ../include/inn/newsuser.h \
  ../include/inn/paths.h ../include/inn/storage.h ../include/inn/options.h \
  ../include/portable/socket-unix.h ../include/inn/ov.h \
  ../include/inn/history.h ovdb/ovdb-private.h ovdb/ovdb.h ovinterface.h
ovsqlite/ovsqlite-private.o: ovsqlite/ovsqlite-private.c \
  ovsqlite/ovsqlite-private.h ../include/portable/system.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/options.h \
  ../include/inn/system.h ../include/portable/stdbool.h \
  ../include/portable/macros.h ../include/portable/stdbool.h \
  ../include/inn/buffer.h ../include/inn/portable-stdbool.h \
  ../include/inn/xmalloc.h ../include/inn/system.h
ovsqlite/ovsqlite.o: ovsqlite/ovsqlite.c ovsqlite/ovsqlite.h ../include/config.h \

=== doc/pod/Makefile ===
##  This Makefile contains rules to generate the files derived from POD
##  source.  Normal make commands at the top level of the source tree don't
##  recurse into this directory.  These targets are only used by
##  maintainers.

include ../../Makefile.global

TEXT	= ../../HACKING ../../INSTALL ../../NEWS ../../README ../hook-perl \
	../hook-python ../external-auth ../checklist

MAN1	= ../man/convdate.1 ../man/fastrm.1 ../man/gencancel.1 \
	../man/getlist.1 \
	../man/grephistory.1 ../man/inews.1 ../man/innconfval.1 \
	../man/innmail.1 ../man/nntpget.1 ../man/pullnews.1 ../man/rnews.1 \
	../man/shlock.1 ../man/shrinkfile.1 ../man/simpleftp.1 ../man/sm.1

MAN3	= ../man/libinn.3 ../man/libinn_clientlib.3 ../man/libinn_dbz.3 \
	../man/libinn_inndcomm.3 \
	../man/libinnauth.3 ../man/libinnhist.3 ../man/libinnstorage.3 \
	../man/libinn_list.3 ../man/libinn_qio.3 \
	../man/libinn_tst.3 ../man/libinn_uwildmat.3

MAN5	= ../man/active.5 ../man/active.times.5 ../man/buffindexed.conf.5 \
	../man/control.ctl.5 ../man/cycbuff.conf.5 ../man/distrib.pats.5 \
	../man/distributions.5 ../man/expire.ctl.5 ../man/history.5 \
	../man/incoming.conf.5 ../man/inn.conf.5 ../man/innfeed.conf.5 \
	../man/innreport.conf.5 ../man/inn-secrets.conf.5 \
	../man/innwatch.ctl.5 ../man/moderators.5 \
	../man/motd.news.5 ../man/newsfeeds.5 ../man/newsgroups.5 \
	../man/newslog.5 ../man/nnrpd.track.5 ../man/nntpsend.ctl.5 \
	../man/ovdb.5 ../man/ovsqlite.5 \
	../man/passwd.nntp.5 ../man/inn-radius.conf.5 ../man/readers.conf.5 \
	../man/storage.conf.5 ../man/subscriptions.5

MAN8	= ../man/actsync.8 ../man/archive.8 ../man/auth_krb5.8 \
	../man/batcher.8 ../man/buffchan.8 \
	../man/ckpasswd.8 ../man/cnfsheadconf.8 ../man/cnfsstat.8 \
	../man/controlchan.8 ../man/ctlinnd.8 ../man/cvtbatch.8 \
	../man/docheckgroups.8 \
	../man/domain.8 ../man/expire.8 ../man/expireover.8 \
	../man/expirerm.8 ../man/ident.8 \
	../man/innbind.8 ../man/inncheck.8 ../man/innd.8 ../man/inndf.8 \
	../man/innfeed.8 ../man/innreport.8 ../man/innstat.8 \
	../man/innupgrade.8 \
	../man/innwatch.8 ../man/innxbatch.8 ../man/innxmit.8 \
	../man/makedbz.8 ../man/makehistory.8 ../man/mod-active.8 \
	../man/news.daily.8 ../man/news2mail.8 ../man/ninpaths.8 \
	../man/nnrpd.8 ../man/nntpsend.8 \
	../man/ovdb_init.8 ../man/ovdb_monitor.8 ../man/ovdb_server.8 \
	../man/ovdb_stat.8 ../man/overchan.8 ../man/ovsqlite-server.8 \
	../man/ovsqlite-util.8 \
	../man/procbatch.8 ../man/prunehistory.8 ../man/radius.8 \
	../man/rc.news.8 ../man/scanlogs.8 ../man/scanspool.8 \
	../man/send-ihave.8 ../man/sendinpaths.8 \
	../man/tally.control.8 ../man/tdx-util.8 \
	../man/tinyleaf.8 ../man/writelog.8

ALL	= $(TEXT) $(MAN1) $(MAN3) $(MAN5) $(MAN8)

all bootstrap: $(ALL)

clean clobber distclean:

maintclean: distclean
	rm -f $(ALL)

../../HACKING:		hacking.pod		; $(POD2TEXT) $? > $@
../../INSTALL:		install.pod		; $(POD2TEXT) $? > $@
../../NEWS:		news.pod		; $(POD2TEXT) $? > $@
../../README:		../../readme.pod	; $(POD2TEXT) $? > $@
../checklist:		checklist.pod		; $(POD2TEXT) $? > $@
../external-auth:	external-auth.pod	; $(POD2TEXT) $? > $@
../hook-perl:		hook-perl.pod		; $(POD2TEXT) $? > $@
../hook-python:		hook-python.pod		; $(POD2TEXT) $? > $@

../man/convdate.1:	convdate.pod		; $(POD2MAN) -s 1 $? > $@
../man/fastrm.1:	fastrm.pod		; $(POD2MAN) -s 1 $? > $@
../man/gencancel.1:	gencancel.pod		; $(POD2MAN) -s 1 $? > $@
../man/getlist.1:	getlist.pod		; $(POD2MAN) -s 1 $? > $@
../man/grephistory.1:	grephistory.pod		; $(POD2MAN) -s 1 $? > $@
../man/inews.1:		inews.pod		; $(POD2MAN) -s 1 $? > $@
../man/innconfval.1:	innconfval.pod		; $(POD2MAN) -s 1 $? > $@
../man/innmail.1:	innmail.pod		; $(POD2MAN) -s 1 $? > $@
../man/nntpget.1:	nntpget.pod		; $(POD2MAN) -s 1 $? > $@
../man/pullnews.1:	pullnews.pod		; $(POD2MAN) -s 1 $? > $@
../man/rnews.1:		rnews.pod		; $(POD2MAN) -s 1 $? > $@
../man/shlock.1:	shlock.pod		; $(POD2MAN) -s 1 $? > $@
../man/shrinkfile.1:	shrinkfile.pod		; $(POD2MAN) -s 1 $? > $@
../man/simpleftp.1:	simpleftp.pod		; $(POD2MAN) -s 1 $? > $@
../man/sm.1:		sm.pod			; $(POD2MAN) -s 1 $? > $@

../man/libinn.3:	libinn.pod		; $(POD2MAN) -s 3 $? > $@
../man/libinnauth.3:	libinnauth.pod		; $(POD2MAN) -s 3 $? > $@
../man/libinnhist.3:	libinnhist.pod		; $(POD2MAN) -s 3 $? > $@
../man/libinnstorage.3:	libinnstorage.pod	; $(POD2MAN) -s 3 $? > $@
../man/libinn_clientlib.3: libinn_clientlib.pod	; $(POD2MAN) -s 3 $? > $@
../man/libinn_dbz.3:	libinn_dbz.pod		; $(POD2MAN) -s 3 $? > $@
../man/libinn_inndcomm.3: libinn_inndcomm.pod	; $(POD2MAN) -s 3 $? > $@
../man/libinn_list.3:	libinn_list.pod		; $(POD2MAN) -s 3 $? > $@
../man/libinn_qio.3:	libinn_qio.pod		; $(POD2MAN) -s 3 $? > $@
../man/libinn_tst.3:	libinn_tst.pod		; $(POD2MAN) -s 3 $? > $@
../man/libinn_uwildmat.3: libinn_uwildmat.pod	; $(POD2MAN) -s 3 $? > $@

../man/active.5:	active.pod		; $(POD2MAN) -s 5 $? > $@
../man/active.times.5:	active.times.pod	; $(POD2MAN) -s 5 $? > $@
../man/buffindexed.conf.5: buffindexed.conf.pod	; $(POD2MAN) -s 5 $? > $@
../man/control.ctl.5:	control.ctl.pod		; $(POD2MAN) -s 5 $? > $@
../man/cycbuff.conf.5:	cycbuff.conf.pod	; $(POD2MAN) -s 5 $? > $@
../man/distrib.pats.5:	distrib.pats.pod	; $(POD2MAN) -s 5 $? > $@
../man/distributions.5:	distributions.pod	; $(POD2MAN) -s 5 $? > $@
../man/expire.ctl.5:	expire.ctl.pod		; $(POD2MAN) -s 5 $? > $@
../man/history.5:	history.pod		; $(POD2MAN) -s 5 $? > $@
../man/incoming.conf.5:	incoming.conf.pod	; $(POD2MAN) -s 5 $? > $@
../man/inn.conf.5:	inn.conf.pod		; $(POD2MAN) -s 5 $? > $@
../man/innfeed.conf.5:	innfeed.conf.pod	; $(POD2MAN) -s 5 $? > $@
../man/innreport.conf.5: innreport.conf.pod	; $(POD2MAN) -s 5 $? > $@
../man/inn-secrets.conf.5: inn-secrets.conf.pod	; $(POD2MAN) -s 5 $? > $@
../man/innwatch.ctl.5:	innwatch.ctl.pod	; $(POD2MAN) -s 5 $? > $@
../man/moderators.5:	moderators.pod		; $(POD2MAN) -s 5 $? > $@
../man/motd.news.5:	motd.news.pod		; $(POD2MAN) -s 5 $? > $@
../man/newsfeeds.5:	newsfeeds.pod		; $(POD2MAN) -s 5 $? > $@
../man/newsgroups.5:	newsgroups.pod		; $(POD2MAN) -s 5 $? > $@
../man/newslog.5:	newslog.pod		; $(POD2MAN) -s 5 $? > $@
../man/nnrpd.track.5:	nnrpd.track.pod		; $(POD2MAN) -s 5 $? > $@
../man/nntpsend.ctl.5:	nntpsend.ctl.pod	; $(POD2MAN) -s 5 $? > $@
../man/ovdb.5:		ovdb.pod		; $(POD2MAN) -s 5 $? > $@
../man/ovsqlite.5:	ovsqlite.pod		; $(POD2MAN) -s 5 $? > $@
../man/passwd.nntp.5:	passwd.nntp.pod		; $(POD2MAN) -s 5 $? > $@
../man/inn-radius.conf.5: inn-radius.conf.pod	; $(POD2MAN) -s 5 $? > $@
../man/readers.conf.5:	readers.conf.pod	; $(POD2MAN) -s 5 $? > $@
../man/storage.conf.5:	storage.conf.pod	; $(POD2MAN) -s 5 $? > $@
../man/subscriptions.5:	subscriptions.pod	; $(POD2MAN) -s 5 $? > $@

../man/actsync.8:	actsync.pod		; $(POD2MAN) -s 8 $? > $@
../man/archive.8:	archive.pod		; $(POD2MAN) -s 8 $? > $@
../man/auth_krb5.8:	auth_krb5.pod		; $(POD2MAN) -s 8 $? > $@
../man/batcher.8:	batcher.pod		; $(POD2MAN) -s 8 $? > $@
../man/buffchan.8:	buffchan.pod		; $(POD2MAN) -s 8 $? > $@
../man/ckpasswd.8:	ckpasswd.pod		; $(POD2MAN) -s 8 $? > $@
../man/cnfsheadconf.8:	cnfsheadconf.pod	; $(POD2MAN) -s 8 $? > $@
../man/cnfsstat.8:	cnfsstat.pod		; $(POD2MAN) -s 8 $? > $@
../man/controlchan.8:	controlchan.pod		; $(POD2MAN) -s 8 $? > $@
../man/ctlinnd.8:	ctlinnd.pod		; $(POD2MAN) -s 8 $? > $@
../man/cvtbatch.8:	cvtbatch.pod		; $(POD2MAN) -s 8 $? > $@
../man/docheckgroups.8:	docheckgroups.pod	; $(POD2MAN) -s 8 $? > $@
../man/domain.8:	domain.pod		; $(POD2MAN) -s 8 $? > $@
../man/expire.8:	expire.pod		; $(POD2MAN) -s 8 $? > $@
../man/expireover.8:	expireover.pod		; $(POD2MAN) -s 8 $? > $@
../man/expirerm.8:	expirerm.pod		; $(POD2MAN) -s 8 $? > $@
../man/ident.8:		ident.pod		; $(POD2MAN) -s 8 $? > $@
../man/innbind.8:	innbind.pod		; $(POD2MAN) -s 8 $? > $@
../man/inncheck.8:	inncheck.pod		; $(POD2MAN) -s 8 $? > $@
../man/innd.8:		innd.pod		; $(POD2MAN) -s 8 $? > $@
../man/inndf.8:		inndf.pod		; $(POD2MAN) -s 8 $? > $@
../man/innfeed.8:	innfeed.pod		; $(POD2MAN) -s 8 $? > $@
../man/innreport.8:	innreport.pod		; $(POD2MAN) -s 8 $? > $@
../man/innstat.8:	innstat.pod		; $(POD2MAN) -s 8 $? > $@
../man/innupgrade.8:	innupgrade.pod		; $(POD2MAN) -s 8 $? > $@
../man/innwatch.8:	innwatch.pod		; $(POD2MAN) -s 8 $? > $@
../man/innxbatch.8:	innxbatch.pod		; $(POD2MAN) -s 8 $? > $@
../man/innxmit.8:	innxmit.pod		; $(POD2MAN) -s 8 $? > $@
../man/makedbz.8:	makedbz.pod		; $(POD2MAN) -s 8 $? > $@
../man/makehistory.8:	makehistory.pod		; $(POD2MAN) -s 8 $? > $@
../man/mod-active.8:	mod-active.pod		; $(POD2MAN) -s 8 $? > $@
../man/news.daily.8:	news.daily.pod		; $(POD2MAN) -s 8 $? > $@
../man/news2mail.8:	news2mail.pod		; $(POD2MAN) -s 8 $? > $@
../man/ninpaths.8:	ninpaths.pod		; $(POD2MAN) -s 8 $? > $@
../man/nnrpd.8:		nnrpd.pod		; $(POD2MAN) -s 8 $? > $@
../man/nntpsend.8:	nntpsend.pod		; $(POD2MAN) -s 8 $? > $@
../man/ovdb_init.8:	ovdb_init.pod		; $(POD2MAN) -s 8 $? > $@
../man/ovdb_monitor.8:	ovdb_monitor.pod	; $(POD2MAN) -s 8 $? > $@
../man/ovdb_server.8:	ovdb_server.pod		; $(POD2MAN) -s 8 $? > $@
../man/ovdb_stat.8:	ovdb_stat.pod		; $(POD2MAN) -s 8 $? > $@
../man/overchan.8:	overchan.pod		; $(POD2MAN) -s 8 $? > $@
../man/ovsqlite-server.8: ovsqlite-server.pod	; $(POD2MAN) -s 8 $? > $@
../man/ovsqlite-util.8: ovsqlite-util.pod	; $(POD2MAN) -s 8 $? > $@
../man/procbatch.8:	procbatch.pod		; $(POD2MAN) -s 8 $? > $@
../man/prunehistory.8:	prunehistory.pod	; $(POD2MAN) -s 8 $? > $@
../man/radius.8:	radius.pod		; $(POD2MAN) -s 8 $? > $@
../man/rc.news.8:	rc.news.pod		; $(POD2MAN) -s 8 $? > $@
../man/scanlogs.8:	scanlogs.pod		; $(POD2MAN) -s 8 $? > $@
../man/scanspool.8:	scanspool.pod		; $(POD2MAN) -s 8 $? > $@
../man/send-ihave.8:	send-ihave.pod		; $(POD2MAN) -s 8 $? > $@
../man/sendinpaths.8:	sendinpaths.pod		; $(POD2MAN) -s 8 $? > $@
../man/tally.control.8:	tally.control.pod	; $(POD2MAN) -s 8 $? > $@
../man/tdx-util.8:	tdx-util.pod		; $(POD2MAN) -s 8 $? > $@
../man/tinyleaf.8:	tinyleaf.pod		; $(POD2MAN) -s 8 $? > $@
../man/writelog.8:	writelog.pod		; $(POD2MAN) -s 8 $? > $@

=== debian/changelog ===
inn2 (2.7.3~20250201-1) unstable; urgency=medium

  * New upstream snapshot of the stable branch.
  * Recommend libdbd-sqlite3-perl for ovsqlite-util.

 -- Marco d'Itri <md@linux.it>  Fri, 21 Feb 2025 17:45:22 +0100

=== debian/control ===
Source: inn2
Section: news
Priority: optional
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper-compat (= 13), bison, flex, groff-base,
 libperl-dev,
 python3-dev:native, libpython3-dev,
 libdb-dev, libkrb5-dev, libpam0g-dev, libsasl2-dev,
 libsystemd-dev, pkgconf,
 libcanlock-dev, libsqlite3-dev, libssl-dev, zlib1g-dev,
Standards-Version: 4.7.0.0
Rules-Requires-Root: binary-targets
Homepage: https://www.eyrie.org/~eagle/software/inn/
Vcs-Git: https://salsa.debian.org/md/inn2.git
Vcs-Browser: https://salsa.debian.org/md/inn2

Package: inn2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 ${perl:Depends}, ${PERLAPI},
 cron | cron-daemon,
 default-mta | mail-transport-agent,
 time, procps,
 libencode-perl, libmime-tools-perl,
Pre-Depends: inn2-inews (= ${binary:Version})
Recommends: libdbd-sqlite3-perl
Suggests: gnupg1, wget, libgd-perl, ${shlibs:Suggests}
Replaces: inn
Provides: news-transport-system
Conflicts: inn
Description: 'InterNetNews' news server
 This package provides INN 2.x, which is a very complex news server
 daemon useful for big sites. The 'inn' package still exists for smaller
 sites which do not need the complexity of INN 2.x.
 .
 The news transport is the part of the system that stores the articles
 and the lists of which groups are available and so on, and provides
 those articles on request to users. It receives news (either posted
 locally or from a newsfeed site), files it, and passes it on to any
 downstream sites. Each article is kept for a period of time and then
 deleted (this is known as 'expiry').
 .
 By default Debian's INN will install in a fairly simple 'local-only'
 configuration.
 .
 In order to make use of the services provided by INN you'll have to
 use a user-level newsreader program such as pan. The newsreader is
 the program that fetches articles from the server and shows them to
 the user, remembering which the user has seen so that they don't get
 shown again. It also provides the posting interface for the user.

Package: inn2-inews
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: inews
Description: NNTP client news injector, from InterNetNews (INN)
 'inews' is the program that newsreaders call when the user wishes to
 post an article; it does a few elementary checks and passes the article
 on to the news server for posting.
 .
 This version is the one from Rich Salz's InterNetNews news transport
 system (which is also available as a Debian package).

Package: inn2-dev
Section: devel
Architecture: any
Depends: ${misc:Depends}
Breaks: manpages-dev (<< 6.03-2)
Conflicts: inn
Description: libinn.a library, headers and man pages
 You will only need this if you are going to compile programs that
 require the functions in libinn.a.

=== debian/rules ===
#!/usr/bin/make -f
SHELL+= -e

D := $(CURDIR)/debian/inn2
B := $(CURDIR)/build

include /usr/share/dpkg/architecture.mk
ifeq ($(DEB_HOST_ARCH_BITS),32)
configure_flags = --enable-largefiles
endif

# the upstream source needs to be copied in the build directory
src_files := $(shell find . -maxdepth 1 -not -name build -and \
	-not -name . -and -not -name debian -and -not -name .pc \
	-and -not -name .git \
	)

##############################################################################
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --builddirectory=$B

override_dh_auto_clean:
	rm -rf $B

override_dh_autoreconf:
	# do not run libtoolize because support/ltmain.sh has been customized
	LIBTOOLIZE=true \
	dh_autoreconf

override_dh_auto_configure:
	mkdir -p $B
	for dir in $(src_files); do [ -e $B/$$dir ] || cp -ldpR $$dir $B; done

	CONFIG_SHELL=/bin/sh \
	BZIP2=/bin/bzip2 \
	GZIP=/bin/gzip \
	PERL=/usr/bin/perl \
	PYTHON=/usr/bin/python3 \
	ac_cv_path_AWK=awk \
	ac_cv_prog_AWK=awk \
	ac_cv_path_CAT=cat \
	ac_cv_path_EGREP=egrep \
	ac_cv_path_OPENSSL=openssl \
	ac_cv_path_SED=sed \
	ac_cv_path_SORT=sort \
	ac_cv_path_UUSTAT=uustat \
	ac_cv_path_UUX=uux \
	ac_cv_path_GPGV=/usr/bin/gpgv \
	ac_cv_path_GPG=/usr/bin/gpg1 \
	ac_cv_path_PATH_GETFTP=wget \
	dh_auto_configure -- \
		--enable-uucp-rnews \
		--with-canlock \
		--with-perl \
		--with-python \
		--with-openssl \
		--with-sqlite3 \
		--prefix=/usr/lib/news \
		--libdir=/usr/lib/news \
		--mandir=/usr/share/man \
		--sysconfdir=/etc/news \
		--includedir=/usr/include \
		--with-db-dir=/var/lib/news \
		--with-filter-dir=/etc/news/filter \
		--with-log-dir=/var/log/news \
		--with-run-dir=/run/news \
		--with-spool-dir=/var/spool/news \
		--with-tmp-dir=/var/spool/news/incoming/tmp \
		--with-http-dir=/var/www/inn \
		--with-libperl-dir=/usr/share/perl5 \
		--with-bdb=/usr \
		--with-krb5=/usr \
		--with-sasl=/usr \
		--with-sendmail=/usr/sbin/sendmail \
		--with-zlib=/usr \
		$(configure_flags)

override_dh_auto_test:
	C_TAP_VERBOSE=1 \
	dh_auto_test

override_dh_auto_install:
	dh_auto_install --destdir=$D

override_dh_install:
	dh_movefiles --sourcedir=$(subst $(CURDIR)/,,$D)

#	move back to the main package these man pages
	mv $D-dev/usr/share/man/man3/libinn_uwildmat.3 \
		$D-dev/usr/share/man/man3/*.3pm \
		$D/usr/share/man/man3/

#	remove assorted crap and
#	make sure we don't ship active, active.times, newsgroups in place!
	rm -rf $D/usr/lib/news/bin/simpleftp $D/usr/share/man/man1/simpleftp.1\
		$D/usr/lib/news/doc/ $D/usr/include/ $D/etc/news/motd.* \
		$D/usr/lib/news/bin/rnews.libexec/ $D/usr/lib/news/share/ \
		$D/usr/lib/news/*.la \
		$D/etc/news/filter/*.tcl \
		$D/var/lib/news/* $D/run/ $D/var/www/

	install -m 755 extra/buildinnkeyring extra/ginpaths2 \
		$D/usr/lib/news/bin/

	perl -i -pe 's/^(pathhost:\s+).+/$${1}server.example.net/' \
		$D-inews/etc/news/inn.conf

	cp extra/active extra/newsgroups $D/usr/lib/news/examples/
	cp extra/news.conf $D/etc/rsyslog.d/
	mv $D/etc/news/filter/*.py $D/usr/share/doc/inn2/examples/filter/

override_dh_installdocs:
	dh_installdocs --sourcedir=$B

override_dh_installchangelogs:
	if [ -e ChangeLog ]; then \
	dh_installchangelogs ChangeLog ; \
	else \
	dh_installchangelogs ; \
	fi

override_dh_installinit:
	dh_installinit --noscripts --init-script=inn2

override_dh_installsystemd:
	dh_installsystemd --no-stop-on-upgrade

override_dh_fixperms:
	dh_fixperms -Xusr/lib/news/bin/innbind -Xusr/lib/news/bin/rnews
	chown root:root -R $D-inews/usr/lib/news/bin/rnews.libexec/
	chmod 755 -R $D-inews/usr/lib/news/bin/rnews.libexec/

	# these files may contain passwords
	chown root:news \
		$D-inews/etc/news/passwd.nntp \
		$D/etc/news/incoming.conf \
		$D/etc/news/innfeed.conf \
		$D/etc/news/inn-radius.conf \
		$D/etc/news/inn-secrets.conf
	chmod 640 $D-inews/etc/news/passwd.nntp \
		$D/etc/news/incoming.conf \
		$D/etc/news/innfeed.conf \
		$D/etc/news/inn-radius.conf \
		$D/etc/news/inn-secrets.conf

	chmod -x $D/usr/lib/news/bin/control/*.pl $D/etc/news/*.local

	chmod u+w,o+r $D/usr/lib/news/bin/innbind

	chown -R news:news $D/var/spool/news/ $D/var/lib/news/ \
		$D/var/log/news/
	chmod -R g+w $D/var/spool/news/ $D/var/lib/news/ \
		$D/var/log/news/

override_dh_makeshlibs:
	dh_makeshlibs --noscripts

override_dh_shlibdeps:
	dh_shlibdeps --exclude=/usr/lib/news/bin/auth/passwd/auth_krb5 -- \
		-dSuggests $D/usr/lib/news/bin/auth/passwd/auth_krb5 \
		-dDepends

override_dh_gencontrol:
	dh_gencontrol -- \
	    -VPERLAPI=$$(perl -MConfig -e 'printf("perlapi-%s", $$Config{debian_abi} || $$Config{version})')

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%, \
      uversionmangle=s/(rc\d+)$/~$1/" \
    https://github.com/InterNetNews/inn/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
